﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Barometrische_Höhenformel
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if(!string.IsNullOrWhiteSpace(pres.Text) && !string.IsNullOrWhiteSpace(temp.Text) && !string.IsNullOrWhiteSpace(height.Text)) { 
           
            Int16 p = Convert.ToInt16(pres.Text);
            Int16 t = Convert.ToInt16(temp.Text);
            Int16 h = Convert.ToInt16(height.Text);
            double E;

                if (t < 9.1) {
         E = 5.6402 * (-0.0916 + Math.Exp(0.06 * t));
                } else {
         E = 18.2194 * (1.0463 - Math.Exp(-0.0666 * t));
                }
    Double x = h * 9.80665 / (287.05 * (273.15 + t + 0.12 * E + 0.0065 * h / 2));
    Double pt = Math.Round((p* Math.Exp(x)), 2);
            POut.Text = pt.ToString() + " H/Pa";            
        }
        }
    }
}
