<?php
/////// More information at: www.aeq-web.com?ref=codeplug ///////

$PR = 980;  //Pressure in HPa
$TP = 22.0; //Temperature
$HG = 300;  //Altitude of your Location

function pressure($PR, $TP, $HG) {
    if ($TP < 9.1) {
        $E = 5.6402 * (-0.0916 + exp(0.06 * $TP));
    } else {
        $E = 18.2194 * (1.0463 - exp(-0.0666 * $TP));
    }
    $x = $HG * 9.80665 / (287.05 * (273.15 + $TP + 0.12 * $E + 0.0065 * $HG / 2));
    $pt = $PR * exp($x);
    $pressure_red = number_format((float) $pt, 2, '.', '');
    return $pressure_red;
}

$output = pressure($PR, $TP, $HG); //Run function
echo $output; //Print the reduced air pressure

?>